package com.ym.mec.collectfee.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(renewals):
 */
public class Renewals {

	/** id */
//	@ApiModelProperty(name = "id", value = "主键", hidden = true)
	private Integer id;
	
	/** 用户id */
//	@ApiModelProperty(name = "userId", value = "用户id",required = true)
	private Integer userId;
	
	/** 乐团id */
//	@ApiModelProperty(name = "classId", value = "乐团id",hidden = true)
	private Integer classId;

	/** 分部id */
//	@ApiModelProperty(name = "branchId", value = "分部id",hidden = true)
	private Integer branchId;
	
	/** 支付方式 */
//	@ApiModelProperty(name = "way", value = "支付方式",hidden = true)
	private Integer way;
	
	/** 支付金额 */
//	@ApiModelProperty(name = "pay", value = "支付金额",hidden = true)
	private java.math.BigDecimal pay;
	
	/** 收费方式 */
//	@ApiModelProperty(name = "changeMode", value = "收费方式",hidden = true)
	private Integer changeMode;
	
	/** 学费单价 */
//	@ApiModelProperty(name = "price", value = "学费单价",hidden = true)
	private java.math.BigDecimal price;

	/** 课程id */
//	@ApiModelProperty(name = "courseId", value = "课程id",hidden = true)
	private Integer courseId;

	/** 购买数量 */
//	@ApiModelProperty(name = "buy", value = "购买数量",hidden = true)
	private Integer buy;
	
	/** 订单号 */
//	@ApiModelProperty(name = "orderId", value = "订单号",hidden = true)
	private Integer orderId;

	/** 购买课程 */
//	@ApiModelProperty(name = "courses", value = "购买课程，json格式({\"courseId\":\"100012\",\"buyCount\":\"3\",\"price\":\"300\"})",required = true)
	private String courses;
	
	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setClassId(Integer classId){
		this.classId = classId;
	}
	
	public Integer getClassId(){
		return this.classId;
	}
			
	public void setWay(Integer way){
		this.way = way;
	}
	
	public Integer getWay(){
		return this.way;
	}
			
	public void setPay(java.math.BigDecimal pay){
		this.pay = pay;
	}
	
	public java.math.BigDecimal getPay(){
		return this.pay;
	}
			
	public void setChangeMode(Integer changeMode){
		this.changeMode = changeMode;
	}
	
	public Integer getChangeMode(){
		return this.changeMode;
	}
			
	public void setPrice(java.math.BigDecimal price){
		this.price = price;
	}
	
	public java.math.BigDecimal getPrice(){
		return this.price;
	}
			
	public void setBuy(Integer buy){
		this.buy = buy;
	}
	
	public Integer getBuy(){
		return this.buy;
	}
			
	public void setOrderId(Integer orderId){
		this.orderId = orderId;
	}
	
	public Integer getOrderId(){
		return this.orderId;
	}

	public Integer getBranchId() {
		return branchId;
	}

	public void setBranchId(Integer branchId) {
		this.branchId = branchId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

	public String getCourses() {
		return courses;
	}

	public void setCourses(String courses) {
		this.courses = courses;
	}

	public Integer getCourseId() {
		return courseId;
	}

	public void setCourseId(Integer courseId) {
		this.courseId = courseId;
	}
}
